Package org.apache.sling.distribution.trigger

## Interface DistributionRequestHandler

    @ConsumerType
    public interface DistributionRequestHandler

An handler for `DistributionRequest`s passed to a `DistributionTrigger`

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable org.apache.sling.distribution.component.impl.DistributionComponentKind` `getComponentKind()` returns the kind of component that owns this request handler.
`@NotNull String` `getName()` returns the name of the owner of this request handler.
`void` `handle​(@Nullable org.apache.sling.api.resource.ResourceResolver resourceResolver, @NotNull org.apache.sling.distribution.DistributionRequest request)` handle the request according to the trigger implementation.

### Method Detail

#### getName

    @NotNull
    @NotNull String getName()

returns the name of the owner of this request handler.

Returns:

#### getComponentKind

    @Nullable
    @Nullable org.apache.sling.distribution.component.impl.DistributionComponentKind getComponentKind()

returns the kind of component that owns this request handler. Might be null, for unknown kinds of components.

Returns:

#### handle

    void handle​(@Nullable
                @Nullable org.apache.sling.api.resource.ResourceResolver resourceResolver,
                @NotNull
                @NotNull org.apache.sling.distribution.DistributionRequest request)

handle the request according to the trigger implementation.

Parameters:
  `request` - a distribution request